Page MenuHome

Insert key dropdown on keymap doesn't show keying sets anymore
Confirmed, NormalPublic

Description

System Information
Operating system: Windows-10-10.0.19041-SP0 64 Bits
Graphics card: NVIDIA GeForce RTX 2070 with Max-Q Design/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 466.77

Blender Version
Broken: version: 2.93.2 Release Candidate, branch: master, commit date: 2021-06-23 12:44, hash: rB03d5c8b4edf4
Worked: 2.92

Short description of error
when trying to assign a default keying set to the insert key menu, it doesnt show the list anymore just a dropdown that says default

2.92

2.93+

Exact steps for others to reproduce the error
open blender, go to settings > keymap
search for "insert keyframe"
expand the "insert keyframe menu" under pose mode
click the keyingset dropdown... all you get is default.

Event Timeline

Pratik Borhade (PratikPB2123) changed the task status from Needs Triage to Confirmed.Jul 1 2021, 2:52 AM

Committed support for built-in keying sets however this isn't the intended way to bind keys as these values aren't stable (changes to the default keying sets may brake the key-bindings).

This report highlights a usability issues setting key bindings to keying sets, submitted D14289 to address this.

Campbell Barton (campbellbarton) changed the task status from Resolved to Archived.Mar 23 2022, 6:55 AM

Reverted the fix as there is an operator that's intended for binding keys, applying D14289 avoids users attempting to bind keys to an operator that doesn't properly support it.

Sybren A. Stüvel (sybren) reopened this task as Confirmed.Mar 28 2022, 4:17 PM

Reverting the fix should reopen this bug report, not archive it.